// Включаемый файл для потокового ввода/вывода
#include <stdio.h>

int Summa(int first, int second, int third=0, int fourth=0) {
	return(first + second + third + fourth);
}

void main() {
	int value1 = 10, value2 = 20, value3 = 30, value4 = 40;
	int result;

	// Вызываем функцию с четырьмя параметрами
	result = Summa(value1, value2, value3, value4);
	printf("Сумма четырех чисел равна %d\n", result);

	// Вызываем функцию с тремя параметрами
	result = Summa(value1, value2, value3);
	printf("Сумма трех чисел равна %d\n", result);

	// Вызываем функцию с двумя параметрами,
	// последний параметр задается по умолчанию
	result = Summa(value1, value2);
	printf("Сумма первых двух чисел равна %d\n", result);
}
